<div class="flex flex-col flex-auto items-center sm:min-w-0" style="background-color:#F8F8F8;">

    <div class="container flex justify-between">
        <div class="flex items-center cursor-pointer" (click)="backButton()">
            <mat-icon class="mt-6 mb-6 " style="color: #0038FF;">keyboard_arrow_left</mat-icon>
            <span class="mt-6 mb-6 font-Semibold-16" style="color: #0038FF;">Back</span>
        </div>
        <div>
            <mat-icon class="mt-6 cursor-pointer" style="color: #0038FF;">help_outline</mat-icon>
        </div>
    </div>

    <div class="flex flex-col sm:flex-row sm:flex-wrap sm:mx-6 sm:mt-4">
        <div class="sm:flex-1">
            <div class="font-Semibold-40 font-141461 leading-none mt-6 sm:px-6 mb-8" style="text-align:center">Redeem
                Confirmation</div>
        </div>
    </div>


    <div class="w-full items-center justify-center max-w-100  mb-10 mx-auto sm:mx-0 box-width">
        <!-- Main -->
        <div class="">

            <div class="bg-card rounded-1xl shadow overflow-hidden p-7">
                <div class="items-center justify-center" style="text-align:left">
                    <div class="w-full max-w-100 sm:w-90 mx-auto sm:mx-0">
                        <!-- Cash Wallet Balance -->
                        <div class="w-full max-w-100 sm:w-90 mx-auto sm:mx-0 text-center">
                            <div class="font-Medium-18 font-7B7B7B mt-2">Cash Wallet Balance</div>
                            <div class="font-Medium-18" *ngIf="enoughBalance">RM{{walletBalance?.toLocaleString()}}</div>
                            <div class="font-Medium-18" style="color: red;" *ngIf="!enoughBalance">RM{{walletBalance?.toLocaleString()}}</div>
                            <div class="font-Medium-12 mt-2" style="color: red;" *ngIf="!enoughBalance">Insufficient Balance</div>
                        </div>

                        <div class="border-t my-7"></div>

                    <div class="w-full max-w-100 sm:w-90 mx-auto sm:mx-0">
                        <!-- Redemption Details -->
                        <div class="w-full max-w-100 sm:w-90 mx-auto sm:mx-0">
                            <div class="font-Semibold-18">Redemption Details</div>
                            <div class="font-Regular-16 font-7B7B7B mt-5">Redemption Number</div>
                            <div class="font-Semibold-16 mt-1">R01231245</div>

                            <div class="border-t my-7"></div>

                            <div class="font-Regular-16 font-7B7B7B">Date</div>
                            <div class="font-Semibold-16 mt-1">{{ today | date:'dd MMMM yyyy - hh:mm:ss a' }}</div>

                            <div class="font-Regular-16 font-7B7B7B mt-5">Deliver to</div>
                            <div class="font-Semibold-16 mt-1">{{fullName}}</div>

                            <div class="font-Regular-16 font-7B7B7B mt-5">Phone Number</div>
                            <div class="font-Semibold-16 mt-1">+{{phone}}</div>

                            <div class="font-Regular-16 font-7B7B7B mt-5">Address Line 1</div>
                            <div class="font-Semibold-16 mt-1">{{address1}}</div>

                            <div class="font-Regular-16 font-7B7B7B mt-5">Address Line 2</div>
                            <div class="font-Semibold-16 mt-1">{{address2}}</div>

                            <div class="font-Regular-16 font-7B7B7B mt-5">Postcode</div>
                            <div class="font-Semibold-16 mt-1">{{postcode}}</div>

                            <div class="font-Regular-16 font-7B7B7B mt-5">City</div>
                            <div class="font-Semibold-16 mt-1">{{town}}</div>

                            <div class="font-Regular-16 font-7B7B7B mt-5">State</div>
                            <div class="font-Semibold-16 mt-1">{{state}}</div>

                            <div class="font-Regular-16 font-7B7B7B mt-5">Reason of Redeeming</div>
                            <div class="font-Semibold-16 mt-1">{{reason}}</div>

                            <div class="font-Regular-16 font-7B7B7B mt-5">Coins to Redeem</div>
                            <div class="font-Semibold-16 mt-1">{{unit}}</div>

                            <div class="font-Regular-16 font-7B7B7B mt-5">Courier Fee</div>
                            <div class="font-Semibold-16 mt-1">RM {{courierCharge | number:'1.2-2'}}</div>

                            <div class="font-Regular-16 font-7B7B7B mt-5">Minting Fee</div>
                            <div class="font-Semibold-16 mt-1">RM {{mintingCharge | number:'1.2-2'}}</div>

                            <div class="font-Regular-16 font-7B7B7B mt-5">Takaful Fee</div>
                            <div class="font-Semibold-16 mt-1">RM {{takafulCharge | number:'1.2-2'}}</div>

                            <div class="font-Regular-16 font-7B7B7B mt-5">SST Fee</div>
                            <div class="font-Semibold-16 mt-1">RM {{totalAmountSST | number:'1.2-2'}}</div>

                            <div class="border-t my-7"></div>

                            <div class="font-Regular-16 font-7B7B7B">Grand Total</div>
                            <div class="font-Semibold-16 mt-1">RM {{totalAmount | number:'1.2-2'}}</div>

                            <!-- Alert -->
                            <fuse-alert *ngIf="showAlert" [showIcon]="false" [type]="alert.type"
                                [@shake]="alert.type === 'error'" class="justify-center">
                                {{alert.message}}
                            </fuse-alert>


                            <button mat-flat-button (click)="redeemConfirm()"
                                class="button inline-flex items-center justify-center w-full mt-7 button-r5"
                                color="primary">Redeem Now
                            </button>
                            <button class="fuse-mat-button-large w-full button-r5-white mt-3"
                                style="border:1px solid #0038FF !important;" mat-flat-button (click)="backButton()">
                                <span class="font-Semibold-14"
                                    style="color: #0038FF; background-color: #F8F8F8;">Cancel</span>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>